#
# spec file for package squirrelmail (Version 1.2.4)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apache gettext imap imap-devel ispell mod_php4 mod_php4-core
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim apache autoconf automake binutils cracklib gcc gdbm gettext imap imap-devel ispell libtool libz mod_php4 mod_php4-core pam perl rpm

Name:         squirrelmail
License:      GPL
Group:        Productivity/Networking/Email/Clients
URL:          http://www.squirrelmail.org
Requires:     apache, imap, mod_php4 
Autoreqprov:  on
Version:      1.2.4
Release:      269
Summary:      a web-mailer written in php4
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define sqm_path	/usr/local/httpd/htdocs/squirrelmail
%define b_sqm_path	$RPM_BUILD_ROOT/%{sqm_path}
%define sqm_doc		/%{_defaultdocdir}/squirrelmail
%define b_sqm_doc	$RPM_BUILD_ROOT/%{sqm_doc}
Source0:      %{name}-%{version}.tar.bz2
Source1:      config.php
Source2:      README.SuSE
Patch:        %{name}-%{version}-secfix.diff
Patch1:       %{name}-%{version}-secfix2.diff

%description
Squirrelmail is a web-mail reader and writer written in php4.
It supports adressbook, ldap searches and many other plugins.

Authors:
--------
    Luke Ehresman <luke@squirrelmail.org>     http://www.css.tayloru.edu/~lehresma
    Nathan Ehresman <nathan@squirrelmail.org> http://www.css.tayloru.edu/~nehresma
    Gustav Foseid <gustavf@squirrelmail.org>  http://www.initio.no
    Pl Lberg <pallo@squirrelmail.org>       http://www.initio.no
    Shane Wilson
    Steve Gare                                http://www.xantara.co.uk
    Gerrit Padgham <gpadgham@commnav.com>
    Matt Phillips <mphillip@commnav.com>
    Lewis Bergman
    Bryan Stalcup <bryan@stalcup.net>
    Tyler Akins

SuSE series: n

%prep
%setup
%patch
%patch1
cp %{S:1} config/
cp %{S:2} .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{b_sqm_path}
cp -R * %{b_sqm_path}/
#
mkdir -p $RPM_BUILD_ROOT/var/lib/squirrelmail/attach
chmod 730 $RPM_BUILD_ROOT/var/lib/squirrelmail/attach

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, wwwrun, nogroup)
#
%doc %attr(-  root  root) doc AUTHORS COPYING ChangeLog INSTALL MIRRORS ReleaseNotes UPGRADE README README.SuSE
#
%config %{sqm_path}/config/config.php
%{sqm_path}/config/conf.pl
%{sqm_path}/config/config_default.php
%{sqm_path}/config/index.php
%{sqm_path}/config/ri_once.pl
%{sqm_path}/configure
%{sqm_path}/[^c]*
%dir %attr(-, -, nogroup) /var/lib/squirrelmail
%dir %attr(-, -, nogroup) /var/lib/squirrelmail/attach

%changelog -n squirrelmail
* Mon Mar 17 2003 - postadal@suse.cz
- fixed some cross site scripting (XSS) bugs
* Tue Jan 07 2003 - postadal@suse.cz
- security fix (sanitize the variables against XSS,
  fixed cross site scripting problem in read_body.php)
* Fri Jan 25 2002 - postadal@suse.cz
- Update to squirmail 1.2.4
  * fixed security bug (in html message & in the spellchecker plugin)
* Thu Jan 17 2002 - postadal@suse.cz
- Cleaned up specfile
- New configuration for this version (config.php)
- Update to squirmail 1.2.2
  * speed improvements and fixed a lot of bugs
  * several plugins integrated into the Squirrelmail core
  * improved SMTP error handling, URL parser
  * added authenticated SMTP server support (configure in conf.pl), aliases
  * built-in support for gettext
  * updated Czech, Dutch, Russian, Thai, Swedish, French translations
  * added Indonesian, Portugal, Turkish translations
  * added language aliasing
  * support for multiple identities
  * support for Russian Apache removed (doc/README.russian_apache)
  * the paginator
  * replay citations, ability to mark messages as Read/Unread
  * new themes
  * improved support for newer versions of PHP
  * now able to show all messages of an inbox at the same time
  * fixed a problem saving prefs when using PHP 4.1
* Wed Nov 21 2001 - rbarn@suse.de
- fixed bug in specfile
* Wed Nov 21 2001 - rbarn@suse.de
- Added new package squirrelmail 1.0.6
